> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crea configurazione Threat Blocker

> Crea una nuova configurazione Threat Blocker nella Web Application.
Puoi creare configurazioni Threat Blocker solo per le organizzazioni che puoi gestire.



## OpenAPI

````yaml post /api/v1/atb
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/atb:
    post:
      tags:
        - atb
      summary: Create Threat Blocker configuration
      description: >-
        Create a new Threat Blocker configuration in the Web Application.


        You can create only Threat Blocker configurations for organizations you
        can manage.
      operationId: atb_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organization:
                  type: number
                  description: Unique identifier for the Organization.
                device_id:
                  type: string
                  description: Unique identifier associated with the installed device.
                  examples:
                    - ATBXXXXXXX
                email:
                  type: string
                  format: email
                  description: >-
                    Email address of the technical point of contact responsible
                    for managing and overseeing the security aspects of your
                    organization's devices. This email will be used for
                    communication related to security alerts, updates, and
                    important notifications.
                type:
                  type: string
                  description: The configuration of the deployment of your threat blocker.
                  enum:
                    - series
                    - parallel
                services:
                  type: array
                  description: Enabled services for this ATB
                  items:
                    type: string
                    description: The enabled service.
                    enum:
                      - OneFirewall IPv4 Protection
                      - OneFirewall Domain Protection
          multipart/form-data:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    organization:
                      type: number
                      description: Unique identifier for the Organization.
                    device_id:
                      type: string
                      description: Unique identifier associated with the installed device.
                      examples:
                        - ATBXXXXXXX
                    email:
                      type: string
                      format: email
                      description: >-
                        Email address of the technical point of contact
                        responsible for managing and overseeing the security
                        aspects of your organization's devices. This email will
                        be used for communication related to security alerts,
                        updates, and important notifications.
                    type:
                      type: string
                      description: >-
                        The configuration of the deployment of your threat
                        blocker.
                      enum:
                        - series
                        - parallel
                    services:
                      type: array
                      description: Enabled services for this ATB
                      items:
                        type: string
                        description: The enabled service.
                        enum:
                          - OneFirewall IPv4 Protection
                          - OneFirewall Domain Protection
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  ticket:
                    type: number
                    description: Created ATB unique id.
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Malformed data structure
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````